//----------------------------------------------------------------------------
#ifndef MainH
#define MainH
//----------------------------------------------------------------------------
#include "ChildWin.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Messages.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <StdCtrls.hpp>
#include <Menus.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <SysUtils.hpp>
#include <Windows.hpp>
#include <System.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <StdActns.hpp>
#include <ToolWin.hpp>
//----------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *FileOpenItem;
	TMenuItem *FileCloseItem;
	TMenuItem *Window1;
	TMenuItem *Help1;
	TMenuItem *N1;
	TMenuItem *FileExitItem;
	TMenuItem *WindowCascadeItem;
	TMenuItem *WindowTileItem;
	TMenuItem *WindowArrangeItem;
	TMenuItem *HelpAboutItem;
	TOpenDialog *OpenDialog;
	TMenuItem *FileSaveItem;
	TMenuItem *WindowMinimizeItem;
        TStatusBar *StatusBar;
        TActionList *ActionList1;
		TAction *FileSave1;
		TAction *FileExit1;
		TAction *FileOpen1;
		TWindowCascade *WindowCascade1;
		TWindowTileHorizontal *WindowTileHorizontal1;
		TWindowArrange *WindowArrangeAll1;
		TWindowMinimizeAll *WindowMinimizeAll1;
		TAction *HelpAbout1;
		TWindowClose *FileClose1;
		TWindowTileVertical *WindowTileVertical1;
		TMenuItem *WindowTileItem2;
		TToolBar *ToolBar2;
		TToolButton *ToolButton1;
		TToolButton *ToolButton2;
		TToolButton *ToolButton3;
		TToolButton *ToolButton7;
		TToolButton *ToolButton8;
		TToolButton *ToolButton10;
		TToolButton *ToolButton11;
		TImageList *ImageList1;
	TMenuItem *RS232_Send;
	TAction *RS232;
		void __fastcall FileOpen1Execute(TObject *Sender);
		void __fastcall HelpAbout1Execute(TObject *Sender);
		void __fastcall FileExit1Execute(TObject *Sender);
	void __fastcall FileSave1Execute(TObject *Sender);
	void __fastcall RS232Execute(TObject *Sender);
private:
	void __fastcall CreateMDIChild(const String Name);
public:
	virtual __fastcall TMainForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern TMainForm *MainForm;
extern TMDIChild *__fastcall MDIChildCreate(void);
//----------------------------------------------------------------------------
#endif
